# Create a new user parcel template Creates a new user parcel template. You can choose to create a parcel template using a preset carrier template as a starting point, or you can create an entirely custom one. To use a preset carrier template, pass in a unique template token from this list plus the weight fields (weight and weight_unit). Otherwise, omit the template field and pass the other fields, for the weight, length, height, and depth, as well as their units." Endpoint: POST /user-parcel-templates Version: 2018-02-08 Security: APIKeyHeader ## Header parameters: - `SHIPPO-API-VERSION` (string) Optional string used to pick a non-default API version to use. See our API version guide. Example: "2018-02-08" ## Response 200 fields (application/json): - `distance_unit` (string) The measure unit used for length, width and height. Required, but if using a preset carrier template then this field must be empty. Enum: "cm", "in", "ft", "m", "mm", "yd" - `height` (string) The height of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty. Example: "6" - `length` (string) The length of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty. Example: "10" - `name` (string) The name of the User Parcel Template Example: "My Custom Template" - `weight` (string) The weight of the package, in units specified by the weight_unit attribute. Example: "12" - `weight_unit` (string) The unit used for weight. Enum: "g", "kg", "lb", "oz" - `width` (string) The width of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty. Example: "8" - `object_created` (string) Date and time of User Parcel Template creation Example: "2013-12-11T19:38:09.729Z" - `object_id` (string) Unique identifier of the given User Parcel Template object Example: "b958d3690bb04bb8b2986724872750f5" - `object_owner` (string) Username of the user who created the User Parcel Template object Example: "shippotle@shippo.com" - `object_updated` (string) Date and time of last update on User Parcel Template Example: "2013-12-12T19:38:09.729Z" - `template` (object) - `template.carrier` (string) The name of the carrier that provides this parcel template Example: "FedEx" - `template.distance_unit` (string) The measure unit used for length, width and height. Enum: "cm", "in", "ft", "m", "mm", "yd" - `template.height` (string) The height of the package, in units specified by the distance_unit attribute Example: "1.5" - `template.is_variable_dimensions` (boolean) True if the carrier parcel template allows custom dimensions, such as USPS Softpack. - `template.length` (string) The length of the package, in units specified by the distance_unit attribute Example: "12.375" - `template.name` (string) The name of the carrier parcel template Example: "FedEx® Small Box (S1)" - `template.token` (string) The unique string representation of the carrier parcel template Example: "FedEx_Box_Small_1" - `template.width` (string) The width of the package, in units specified by the distance_unit attribute Example: "10.875"